Skip to main content
GET
/
workspace
/
permissions
/
{permission}
/
roles
List of Roles (for Permission)
curl --request GET \
  --url https://wks-a1b2c3d4.provisionr.io/api/v1/workspace/permissions/{permission}/roles \
  --header 'Authorization: Bearer <token>'
{
  "current_page": 2,
  "data": [
    {
      "included": "<string>",
      "links": {
        "workspace_permission": "<string>",
        "workspace_role": "<string>"
      }
    }
  ],
  "first_page_url": "<string>",
  "from": 2,
  "last_page_url": "<string>",
  "last_page": 2,
  "links": [
    {
      "url": "<string>",
      "label": "<string>",
      "active": true
    }
  ],
  "next_page_url": "<string>",
  "path": "<string>",
  "per_page": 1,
  "prev_page_url": "<string>",
  "to": 2,
  "total": 1
}

Documentation Index

Fetch the complete documentation index at: https://docs.provisionr.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

permission
string
required

The permission ID

Query Parameters

sort
string
default:workspace_role_id

Available sorts are workspace_permission_id, workspace_role_id, -permission_id, -role_id. You can sort by multiple options by separating them with a comma. To sort in descending order, use - sign in front of the sort, for example: -workspace_permission_id.

page[size]
integer
default:500

The number of results that will be returned per page.

page[number]
integer

The page number to start the pagination from.

filter[workspace_role_id]
string
filter
string
include
string
page
string

Response

Paginated set of WorkspaceRolePermissionResponseData

current_page
integer
required
Required range: x >= 1
data
WorkspaceRolePermissionResponseData · object[]
required
first_page_url
string | null
required
from
integer | null
required
Required range: x >= 1
last_page_url
string | null
required
last_page
integer
required
Required range: x >= 1

Generated paginator links.

next_page_url
string | null
required
path
string | null
required

Base path for paginator generated URLs.

per_page
integer
required

Number of items shown per page.

Required range: x >= 0
prev_page_url
string | null
required
to
integer | null
required

Number of the last item in the slice.

Required range: x >= 1
total
integer
required

Total number of items being paginated.

Required range: x >= 0